### Class

# WebKit EditorState

since: 2.10

#### Description [src]

    final class WebKit.EditorState : GObject.Object {
      /* No available fields */
    }

Web editor state.

WebKitEditorState represents the state of a `WebKitWebView` editor. Use `webkit_web_view_get_editor_state()` to get the WebKitEditorState of a `WebKitWebView`.

Available since: 2.10

#### Ancestors

- GObject

#### Instance methods

###### webkit_editor_state_get_typing_attributes

Gets the typing attributes at the current cursor position.

since: 2.10

###### webkit_editor_state_is_copy_available

Gets whether a copy command can be issued.

since: 2.20

###### webkit_editor_state_is_cut_available

Gets whether a cut command can be issued.

since: 2.20

###### webkit_editor_state_is_paste_available

Gets whether a paste command can be issued.

since: 2.20

###### webkit_editor_state_is_redo_available

Gets whether a redo command can be issued.

since: 2.20

###### webkit_editor_state_is_undo_available

Gets whether an undo command can be issued.

since: 2.20

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.EditorState:typing-attributes

Bitmask of `WebKitEditorTypingAttributes` flags. See `webkit_editor_state_get_typing_attributes()` for more information.

since: 2.10

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitEditorStateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.